Subject: Re: bug#43715: 28.0.50; Duplicate results in project-find-regexp

From: Dmitry Gutov <[email-masked]>
Date: Fri, 2 Oct 2020 00:45:22 +0300

On 02.10.2020 00:38, Lars Ingebrigtsen wrote:

>> Going back to xref buffers, if two matches are rendered on one line,
>> that leads to a question of how 'n' and 'p' should behave (whether
>> they would also jump between the matches on the same line).
> 
> I have no idea; I've never used those commands.
> 
> I'd just expect project-find-regexp to work as M-x grep, and have
> `next-error' work (which works based on lines).

So you think it's a good idea for 'n' and 'p' to skip subsequent matches 
on the line? I'm less sure, but OK.

Then that mostly leaves the question of xref-query-replace-in-results 
and how to retain the information it requires in a backward-compatible way.